---
title: "Delete banner video file"
type: reference
method: DELETE
path: /rest-api/banner/{bannerId}/video.do
tag: "Banners"
---

# Delete banner video file

`DELETE https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/video.do`

Removes the uploaded video file of the banner from storage and clears it on the banner. A LOCAL_VIDEO banner has no creative until a new videoFile is uploaded through /banner/{bannerId}/update. Requires UPDATE access to the banner's advertiser.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `bannerId` | integer | yes | `3001` | ID of the banner whose video file is removed |

## Responses

- `200` — Video file deleted
- `400` — The banner has no uploaded video file
- `401` — Authentication error
- `403` — Not enough permissions
- `404` — Banner not found or deleted

## Example request

```bash
curl --request DELETE \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/banner/3001/video.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/banners/delete-banner-video